tttk_message_abandon(library call)

NAME
tttk_message_abandon — finalize a message properly

SYNOPSIS

#include &<Tt/tttk.h>
Tt_status tttk_message_abandon(
Tt_message msg);

DESCRIPTION

The tttk_message_abandon function is used by an application when it does not understand a message and wants to get rid of it. The tttk_message_abandon function fails or rejects msg if appropriate, and then destroys it. The tttk_message_abandon will reject or fail the message only if msg is a TT_REQUEST in Tt_state TT_SENT. If it has a Tt_address of TT_HANDLER or a tt_message_status of TT_WRN_START_MESSAGE, then it fails the message; otherwise, it rejects it. In either case, tttk_message_abandon gives msg a message status (see tt_message_status(3)) of TT_DESKTOP_ENOTSUP.

RETURN VALUE

Upon successful completion, the tttk_message_abandon function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_NOTHANDLER
    This application is not the handler for this message.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tttk.h - Tttttk(5), tt_message_status(3), tttk_message_fail(3), tttk_message_reject(3).